# $Revision: 1.11 $, $Date: 2007/02/13 07:16:53 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	DBI-SQLite
Summary:	Extension to Class::DBI for SQLite
Summary(pl.UTF-8):	Rozszerzenie Class::DBI dla SQLite
Name:		perl-Class-DBI-SQLite
Version:	0.11
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	25e80b9d2f2d66e6fc51d487f0894802
URL:		http://search.cpan.org/dist/Class-DBI-SQLite/
%if %{with tests}
BuildRequires:	perl-Class-DBI >= 0.85
BuildRequires:	perl-DBD-SQLite >= 0.07
BuildRequires:	perl-Ima-DBI >= 0.27
BuildRequires:	perl-SQL-Statement >= 1.004
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Class::DBI::SQLite is an extension to Class::DBI for DBD::SQLite,
which allows you to populate auto incremented row id after insert.
set_up_table method allows you to automate the setup of columns and
primary key by using of SQLite PRAGMA statement (with SQL::Statement
module).

%description -l pl.UTF-8
Class::DBI::SQLite to rozszerzenie Class::DBI dla DBD::SQLite,
pozwalające wypełniać automatycznie zwiększany identyfikator wiersza
po instrukcji INSERT. Metoda set_up_table pozwala zautomatyzować
ustawianie kolumn i klucza głównego poprzez użycie instrukcji SQLite
PRAGMA (przy użyciu modułu SQL::Statement).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}
%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Class/DBI/SQLite.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-DBI-SQLite.spec,v $
Revision 1.11  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.9  2006/07/26 20:59:21  glen
- generic URL

Revision 1.8  2006/02/17 16:16:04  glen
- 0.11

Revision 1.7  2005/06/22 14:55:47  czucz
- updated to 0.09

Revision 1.6  2004/11/03 22:30:09  paladine
- formatting

Revision 1.5  2004/11/01 21:28:58  adamg
- updated to 0.06

Revision 1.4  2004/04/18 16:56:34  ankry
- license fixes and unification

Revision 1.3  2004/04/09 18:01:07  adamg
- updated to 0.04

Revision 1.2  2004/02/15 13:52:54  qboosh
- pl, fixed deps

Revision 1.1  2004/02/13 23:28:03  migo
- initial revision
